GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/glibc-tdep.h File Reference

Go to the source code of this file.

## Functions
CORE_ADDR | glibc_skip_solib_resolver (struct gdbarch *gdbarch, CORE_ADDR)

## Function Documentation

## ◆ glibc_skip_solib_resolver()

CORE_ADDR glibc_skip_solib_resolver | ( | struct gdbarch * | gdbarch,
|  | CORE_ADDR |
| ) |  |

Definition at line 38 of file glibc-tdep.c.

References BMSYMBOL_VALUE_ADDRESS, frame_unwind_caller_pc(), get_current_frame(), lookup_minimal_symbol(), lookup_minimal_symbol_and_objfile(), bound_minimal_symbol::minsym, and bound_minimal_symbol::objfile.

Referenced by aarch64_linux_init_abi(), amd64_linux_init_abi_common(), arm_linux_init_abi(), hppa_linux_init_abi(), i386_linux_init_abi(), m68k_linux_init_abi(), mips_linux_skip_resolver(), nios2_linux_init_abi(), ppc_linux_init_abi(), sh_linux_init_abi(), and tilegx_linux_init_abi().